Package org.apache.sysds.runtime.frame.data.columns

# Class ArrayWrapper

java.lang.Object
org.apache.sysds.runtime.frame.data.columns.ArrayWrapper

All Implemented Interfaces:
  `org.apache.hadoop.io.Writable`

public class ArrayWrapper extends Object implements org.apache.hadoop.io.Writable

## Field Summary

Fields
Modifier and Type
Field
Description
`Array<?>`
`_a`

## Constructor Summary

Constructors
Constructor
Description
`ArrayWrapper(Array<?> a)`

## Method Summary

Modifier and Type
Method
Description
`void`
`readFields(DataInput in)`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _a

public Array<?> _a

## Constructor Details

### ArrayWrapper

public ArrayWrapper(Array<?> a)

## Method Details

### write

public void write(DataOutput out) throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`